### Method

# SpiceClientGLib UsbDeviceManager get_devices_with_filter

since: 0.20

#### Declaration [src]

    GPtrArray*
    spice_usb_device_manager_get_devices_with_filter (
      SpiceUsbDeviceManager* manager,
      const gchar* filter
    )

#### Description [src]

Finds devices associated with the `manager` complying with the `filter`.

Available since: 0.20

#### Parameters

`filter`

  Type: `const gchar*`

  Filter string for selecting which devices to return, see `SpiceUsbDeviceManager:auto-connect-filter` for the filter string format.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `SpiceUsbDevice*`

A %GPtrArray array of %SpiceUsbDevice.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.